Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.util
Class WSDLResourceFactoryRegistry

    java.lang.Object
      ResourceFactoryRegistryImpl
          org.eclipse.wst.wsdl.util.WSDLResourceFactoryRegistry

    public class WSDLResourceFactoryRegistry

extends ResourceFactoryRegistryImpl

This class provides support for the loading of WSDL or XSD resource from URI's that don't end with .xsd or .wsdl extensions. These URI's foil EMF's standard resource loading mechanism wich assumes that a resource type can always be deduced from the file extension. Code Example: ResourceSet resourceSet = new ResourceSetImpl(); WSDLResourceFactoryRegistry registry = new WSDLResourceFactoryRegistry(Resource.Factory.Registry.INSTANCE); resourceSet.setResourceFactoryRegistry(registry);

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  1.0

Constructor Summary
`WSDLResourceFactoryRegistry(Resource.Factory.Registry parent)`

Method Summary
`java.util.Map` | `getExtensionToFactoryMap()`
`Factory` | `getFactory(URI uri)`
`Resource.Factory` | `getFactory(URI uri, java.lang.String contentType)`
`java.util.Map` | `getProtocolToFactoryMap()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDLResourceFactoryRegistry

    public WSDLResourceFactoryRegistry(Resource.Factory.Registry parent)

Method Detail

### getExtensionToFactoryMap

    public java.util.Map getExtensionToFactoryMap()

### getProtocolToFactoryMap

    public java.util.Map getProtocolToFactoryMap()

### getFactory

    public Factory getFactory(URI uri)

### getFactory

    public Resource.Factory getFactory(URI uri,
                                       java.lang.String contentType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD